be.fgov.ehealth.certra.protocol.v2

## Class GetCertificateInfoForCitizenResponse

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.commons.protocol.v2.StatusResponseType
    - - be.fgov.ehealth.certra.protocol.v2.GetCertificateInfoForCitizenResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-23T10:07:21+01:00",
                 comments="JAXB RI v2.3.7")
      public class GetCertificateInfoForCitizenResponse
      extends StatusResponseType
      implements Serializable

  Contains information about all the eHealth certificates and encryption tokens that this person can view and manage. This includes all of their personal certificates associated with their SSIN, but also all certificates of organizations for which they possess a mandate according to the authentic eHealth sources.

  Java class for GetCertificateInfoForCitizenResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GetCertificateInfoForCitizenResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
             <sequence minOccurs="0">
               <element name="CertificateInfo" type="{urn:be:fgov:ehealth:certra:core:v2}CertificateInfoType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetCertificateInfoForCitizenResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CertificateInfoType>` | `getCertificateInfos()` Gets the value of the certificateInfos property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

      `getStatus, setStatus`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetCertificateInfoForCitizenResponse

          public GetCertificateInfoForCitizenResponse()

  - ### Method Detail

    - #### getCertificateInfos

          public List<CertificateInfoType> getCertificateInfos()

      Gets the value of the certificateInfos property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the certificateInfos property.

      For example, to add a new item, do as follows:

              getCertificateInfos().add(newItem);

      Objects of the following type(s) are allowed in the list `CertificateInfoType`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.